import QtQuick 2.0
import Ubuntu.Components 0.1
import Unity 0.1

Item {
    id: filterView
    height: filters.height
    width: filterViewWidth
    property int grid_columns : 2

    GridViewWithSpacing {
        id: filters

        columns: grid_columns

        rows: Math.ceil(count/columns)

        horizontalSpacing: units.gu(4)
        verticalSpacing: units.gu(3)

        cellWidth: width/columns
        delegateHeight: units.gu(10)

        /* Substracting verticalSpacing so that the last row does
           not have padding below it in case rows != 1 */
        height: rows == 1 ? cellHeight + sectionSpacing : cellHeight * rows
        boundsBehavior: Flickable.StopAtBounds

        focus: true
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top

        /* Make sure the first item is selected when getting the focus for the first time */
        currentIndex: 0

        delegate:Rectangle{
            id: rec
            color: "#22C7C7C7"
            width: filters.delegateWidth
            height: filters.delegateHeight * 1.2
            focus: true
            Label{
                text: name
                color: Theme.palette.selected.backgroundText
                font.family: "Ubuntu"
                font.weight: Font.Light
                fontSize: "small"
                width: rec.width - switcher.width
                wrapMode: Text.WrapAnywhere
                elide: Text.ElideRight
                style: Text.Raised
                styleColor: "black"
                anchors{
                    left: parent.left
                    verticalCenter: parent.verticalCenter
                }
            }
            Switch {
                id:switcher
                iconSource: "icon.png"
                checked :  active === true ?  true : false
                onClicked: {
                    options.setActive(index, !active);
                    options.setActive(index, active);
                }
                width: filters.cellWidth / 2
                height: filters.delegateHeight * 1.2
                anchors.right: parent.right
            }

        }
        model: options
    }
}
