import QtQuick 2.0
import Unity 0.1
Item {
    id: filterLoader
    property string filterRenderName
    property string filterId
    property string filterName
    property string filterIconHint
    property bool  filterVisible
    property string filterCollapsed
    property string filterFiltering
    property variant filterOptions
    property int filterViewWidth
    property int filterViewHeight

    function getRender(){
        if (filterRenderName === "filter-multirange")
            return "MultiRangeFilter.qml"
        if (filterRenderName === "filter-checkoption")
            return "CheckOptionFilter.qml"
        if (filterRenderName === "filter-checkoption-compact")
            return "CheckOptionCompactFilter.qml"
        if (filterRenderName === "filter-radiooption")
           return "RadioOptionFilter.qml"
    }
    Loader {
    id: filterView
        source: getRender()
    onStatusChanged: {
        if (status == Loader.Error) {
            console.log("************* \n Failed to load filter renderer    \n ************* \n"
                        + filterRenderName
                        +"\n *************")
        }
    }
    Binding { target: filterView.item; property: "name"; value: filterName }
    Binding { target: filterView.item; property: "iconHint"; value: filterIconHint }
    Binding { target: filterView.item; property: "visable"; value: filterVisible }
    Binding { target: filterView.item; property: "collapsed"; value: filterCollapsed }
    Binding { target: filterView.item; property: "filtering"; value: filterFiltering }
    Binding { target: filterView.item; property: "options"; value: filterOptions }
    Binding { target: filterView.item; property: "filterViewWidth"; value: filterViewWidth }
    Binding { target: filterView.item; property: "filterViewHeight"; value: filterViewHeight }
}
}
