import QtQuick 2.0

Item {
    id: multiRangeSelectionBar

    property bool isFirst: true
    property bool isLast: false
    property int leftPos: 0
    property int rightPos: 100

    x:  parent.width - rightPos
    width: rightPos - leftPos
    height: childrenRect.height

    Image {
        id: leftBorder
        source: (isFirst) ? "artwork/multirange_selection_left_first.png"
                          : "artwork/multirange_selection_left.png"
        width: sourceSize.width
        height: sourceSize.height
        anchors{
            left: parent.left
            top: parent.top
        }
    }

    Image {
        id: background
        source: "artwork/multirange_selection_middle.png"
        width: sourceSize.width
        height: sourceSize.height
        anchors{
            top: parent.top
            left: leftBorder.right
            right: rightBorder.left
        }
        fillMode: Image.TileHorizontally
    }

    Image {
        id: rightBorder
        source: (isLast) ? "artwork/multirange_selection_right_last.png"
                         : "artwork/multirange_selection_right.png"
        width: sourceSize.width
        height: sourceSize.height
        anchors{
            top: parent.top
            right: parent.right
        }
    }
}
