import QtQuick 2.0
import Unity 0.1
import Ubuntu.Components 0.1
import "../../TVSilder/sidebar"
import "filters"

SidebarView {
    id: lensSidebar
    height: column.height + spacing * 25
    property variant lens: null

    Column {
        id: column
        spacing: lensSidebar.spacing

        anchors{
            top: parent.top
            left: parent.left
            right: parent.right
            topMargin: spacing
            bottomMargin: spacing
}
        Item {
            anchors{
                left: parent.left
                right: parent.right
                leftMargin: 10
            }
                height: title.paintedHeight + 35
           Text{
                id: title
                anchors {
                    fill: parent
                    bottomMargin: 20
                }
                    color: "white"
                font.pixelSize:  12
                font.weight: Font.DemiBold
                verticalAlignment: Text.AlignBottom
                text: "Filter Lens"
            }
        }

        ListView {
            id: filters
            anchors{
                left: parent.left
                right: parent.right
            }
           height: childrenRect.height
            focus: true
            onActiveFocusChanged: {
                // Reset the focus to the first component
                if (!activeFocus) {
                    currentIndex = 0
                }
            }

            model: lens.filter
            delegate: SidebarFilterLoader {
                width: ListView.view.width
                lens: filterPane.lens
                filterModel: filter
                isFirst: index == 0
                container: lensSidebar.container
                containerYOffset: column.y + filters.y + y
                spacing: lensSidebar.spacing
            }
        }
    }
}
