import QtQuick 2.0
import Ubuntu.Components 0.1


AbstractButton {
    id: tickBox
    property string text
    property bool checked: false
    property bool canUncheck: true
    Accessible.name: text
    Accessible.role: Accessible.CheckBox
    width: childrenRect.width
    height: childrenRect.height

    Rectangle {
        id: container
        x: Math.floor(border.width / 2)
        y: Math.floor(border.width / 2)
        width: parent.width - border.width
        height: parent.height - border.width
        border.color: if ( parent.state == "selected") return "white"
                      else if ( checked ) return "#cdffffff" // 13% opaque
                      else return "#21ffffff" // 80% opaque
        border.width: ( checked ) ? 2 : 1
        color: ( checked ) ? "#21ffffff" : "transparent"
        radius: 7
    }

    Text {
        id: label
        anchors.fill: parent
        width: parent.width
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 23
        color: "white"
        text: tickBox.text
        elide: Text.ElideRight
//        opacity: ( !canUncheck ) ? 0 : 1
    }
}
