import QtQuick 2.0
import Ubuntu.Components 0.1
import Unity 0.1
import "../"
Item {
    id: filterView
    height: filters.height
    property int grid_columns : 2

    GridViewWithSpacing {
        id: filters
        columns: grid_columns
        rows: Math.ceil(count/columns)
        horizontalSpacing: 10
        verticalSpacing: 14
        cellWidth: width/columns
        delegateHeight: 30
        height: rows == 1 ? cellHeight + sectionSpacing : cellHeight * rows
        boundsBehavior: Flickable.StopAtBounds

        focus: true
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top

        /* Make sure the first item is selected when getting the focus for the first time */
        currentIndex: 0

        delegate: Button {
            gradient: UbuntuColors.orangeGradient
//            onClicked: print("clicked icon-only Button")
                focus: true
                width: filters.delegateWidth
                height: filters.delegateHeight
                text: name
        onClicked: {
            options.setActive(index, !active);
            options.setActive(index, active);}
        }

        model: options
    }
}
