import QtQuick 2.0
import Ubuntu.Components 0.1
import Unity 0.1
import Utils 0.1
import "../"
FocusScope {
    id: filterPane
    property bool folded: true
    property int headerHeight
    property Scope scope
    onFoldedChanged: if (folded) header.focus = true
    AbstractButton {
        id: header
        objectName: "filterResults"
        Accessible.name: title.text
        onClicked: filterPane.folded = !filterPane.folded
        focus: true
        /* Do not navigate down to the options if they are folded */
//        KeyNavigation.down: !filterPane.folded ? options : header
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        height: headerHeight - anchors.topMargin

        Text {
            id: title
            text: "Filter results"
            font.bold: true
            font.pixelSize:  12
            color: "white"
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: arrow.left
            anchors.rightMargin: 10
        }

        FoldingArrow {
            id: arrow
            folded: filterPane.folded
            anchors.verticalCenter: title.verticalCenter
            anchors.verticalCenterOffset: 1
            anchors.right: parent.right
        }


    ListView {
        id: options
        clip: true
        opacity:1 // folded ? 0.0 : 1.0
        Behavior on opacity {NumberAnimation {duration: 100; easing.type: Easing.InOutQuad}}
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: header.bottom
        anchors.topMargin: 7
        anchors.bottom: parent.bottom
        orientation: ListView.Vertical
        /* Make sure the first section is selected when getting the focus */
//        currentIndex: 0
        onActiveFocusChanged: {
            currentIndex = 0
        }
        boundsBehavior: Flickable.StopAtBounds
        model: scope ? scope.filters : null
        delegate: FilterLoader {
//            width: ListView.view.width
            filterRenderName: rendererName
            filterId: id
            filterName :  name
            filterIconHint : iconHint
            filterVisible : true
            filterCollapsed: collapsed
            filterFiltering: filtering
            filterOptions: options
//            isFirst: index == 0
        }
    }
}
}
