import QtQuick 2.0
import "../../Dash"
Item{
    id: launcher
//    property string activeComponent
//    signal barrierTriggered
//    signal itemClicked(string id)
//    property bool showMenus: true
//    property bool containsMouse: declarativeView.monitoredAreaContainsMouse
//    property bool animating: launcherLoaderXAnimation.running
//    function hideMenu() {
//        if (main.visibleMenu !== undefined) {
//            main.visibleMenu.hide()
//        }
//        if (shelf.visibleMenu !== undefined) {
//            shelf.visibleMenu.hide()
//        }
//    }
//    function focusBFB() {
//        launcher.focus = true
//        videoLens.forceActiveFocus()
//    }

    Rectangle {
        id: background
        anchors.fill: parent
        color: "black"
        opacity:  0.66
        border.color: "#28ffffff"
        border.width:2
    }
//    onActiveFocusChanged: if (!activeFocus) videoLens.focus = true
    Flickable {
        anchors.fill: parent
        contentHeight: column.height
        anchors.margins: 9
        Column {
            id: column
            anchors.left: parent.left
            anchors.right: parent.right
            spacing: 9
            height: parent.height

            //fixme make active call to see if itv is fovued and if so  close the dash else change to itv

            SimpleLauncherItem {
                id: itv
                icon: "ubuntu-lens"
                KeyNavigation.up: softwarecenter
                KeyNavigation.down: videoLens
                onClick:{
                    dash.setCurrentScope("home.scope", false, false)
                    dash.show()
                }

            }
            SimpleLauncherItem {
                id: videoLens
                icon: "video-lens"
                KeyNavigation.up: itv
                KeyNavigation.down: epg
                onClick: dash.setCurrentScope("video.scope", false, false)
            }

            SimpleLauncherItem {
                id: epg
                icon: "tvpicker"
//                active: launcher.activeComponent == "epg"
//                enabled: true
                KeyNavigation.up: videoLens
                KeyNavigation.down: musicLens
                onClick: launcher.itemClicked("epg")
            }


            SimpleLauncherItem {
                id: musicLens
                icon: "music-lens"
                KeyNavigation.up: epg
                KeyNavigation.down: appLens
                onClick: dash.setCurrentScope("music.scope", false, false)
            }

            SimpleLauncherItem {
                id: appLens
                icon: "app-lens"
                KeyNavigation.up: musicLens
                KeyNavigation.down: filelens
                onClick: dash.setCurrentScope("applications.scope")
            }

            SimpleLauncherItem {
                id: filelens
                icon: "files-lens"
                KeyNavigation.up: appLens
                KeyNavigation.down: photolens
                onClick: dash.setCurrentScope("files.scope", false, false)
            }

            SimpleLauncherItem {
                id: photolens
                icon: "photo-lens"
                KeyNavigation.up: filelens
                KeyNavigation.down: softwarecenter
                onClick: dash.setCurrentScope("photos.scope", false, false)
            }

            SimpleLauncherItem {
                id: softwarecenter
                icon: "usc1-lens"
                KeyNavigation.up: photolens
                KeyNavigation.down: itv
                onClick: launcher.itemClicked("softwarecenter")
            }
        }
    }
}
